List SCM configs
curl --request GET \
--url https://semgrep.dev/api/scm/deployments/{deploymentId}/configs \
--header 'Authorization: Bearer <token>'import requests
url = "https://semgrep.dev/api/scm/deployments/{deploymentId}/configs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://semgrep.dev/api/scm/deployments/{deploymentId}/configs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"configs": [
{
"id": "<string>",
"namespace": "<string>",
"sourceId": "<string>",
"baseUrl": "<string>",
"app": {
"id": "<string>",
"slug": "<string>",
"appId": "<string>",
"baseUrl": "<string>",
"requestId": "<string>",
"scmName": "<string>",
"codeAccess": true,
"tenantId": "<string>"
},
"status": {
"checked": "2023-11-07T05:31:56Z",
"ok": true,
"error": "<string>"
},
"installed": true,
"suspended": true,
"autoScan": true,
"useNetworkBroker": true,
"tokenScopes": {
"readMetadata": true,
"readPullRequest": true,
"writePullRequestComment": true,
"readContents": true,
"readMembers": true,
"manageWebhooks": true,
"writeContents": true,
"writePullRequest": true
},
"subscriptions": [
{
"scmUrl": "<string>",
"events": [
"<string>"
]
}
],
"lastSuccessfulSyncAt": "2023-11-07T05:31:56Z",
"autoScanSettings": {
"diffEnabled": true
},
"hasAccessToken": true,
"scmId": "<string>"
}
],
"cursor": "<string>"
}Source Code Management (SCM) configurations
List SCM configs
List all SCM configs for a deployment.
GET
/
api
/
scm
/
deployments
/
{deploymentId}
/
configs
List SCM configs
This endpoint is experimental. It may change or be removed without notice and is not covered by API stability guarantees.
Authorizations
SemgrepWebTokenSemgrepJWT
Get access to data with your API token. Example header:
Authorization: Bearer 2991e2fb4b540fe75b8f90677b0b892b6314e4961cb001fe6eb452eee248a628
The token can be provisioned from the Tokens section in your Settings, and requires explicitly enabling Web API access.
Path Parameters
Query Parameters
Available options:
SORT_DIRECTION_UNSPECIFIED, SORT_DIRECTION_ASC, SORT_DIRECTION_DESC Available options:
SCM_CONFIG_SORT_BY_UNSPECIFIED, SCM_CONFIG_SORT_BY_NAME, SCM_CONFIG_SORT_BY_ID, SCM_CONFIG_SORT_BY_LAST_SUCCESSFUL_SYNC_AT Was this page helpful?
⌘I